Loading...
Searching...
No Matches
caf::downstream< T > Class Template Reference

Grants access to an output stream buffer. More...

`#include <downstream.hpp>`

## Public Types

using | queue_type = std::deque<T>
| A queue of items for temporary storage before moving them into chunks.

## Public Member Functions

| downstream (queue_type &q)
template<class... Ts>
void | push (Ts &&... xs)
template<class Iterator, class Sentinel>
void | append (Iterator first, Sentinel last)
queue_type & | buf ()

## Protected Attributes

queue_type & | buf_

## Detailed Description

template<class T>
class caf::downstream< T >

Grants access to an output stream buffer.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/downstream.hpp